M310 Lab: Authentication Methods answer depends on version

answer one in this lab depends on the version:
after running
mongod --auth mongo
use admin
db.createUser({user: ‘kirby’, pwd: ‘password’, roles: [‘root’]})

“mongo -u kirby -p password”
fails in MongoDB shell version: 3.2.22 (as the solution says)
but in version v3.6.15 or v4.2.1 it succeeds
maybe the newer shell uses an implied --authenticationDatabase admin rather than “test”
the Vagrant environment in the course uses 3.2.22 so it’s not a huge problem but still: It can lead to confusion.

Here’s an explanation:

So it’s best to stick to the version supplied in the vagrant box in order to pass all the labs.